POST
/api/v1/block_storage/{block_id}/snapshot/
curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/block_storage/{block_id}/snapshot/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "name": "snapshot-884"}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/block_storage/{block_id}/snapshot/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "name": "snapshot-884", },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/block_storage/{block_id}/snapshot/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "name": "snapshot-884" }),});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”block_id
required
string
Block ID
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Request Body
Section titled “Request Body”Media typeapplication/json
object
name
required
string
Example
snapshot-884Responses
Section titled “Responses”Successful response indicating that the snapshot is in process.
Media typeapplication/json
object
code
integer
data
object
image_id
integer
snapshot_id
integer
errors
object
key
additional properties
any
message
string
Example
{ "code": 200, "data": { "image_id": 25549, "snapshot_id": 1 }, "errors": {}, "message": "Snapshot in process."}